use geo::Point;

use serde::Deserialize;

use std::collections::HashMap;

use toml::de::Error;

#[derive(Deserialize)]
pub struct Config {
    pois: HashMap<String, Point>,
}

impl Config {
    pub fn from_toml(s: &str) -> Result<Self, Error> {
        toml::from_str(s)
    }

    pub fn pois(&self) -> &HashMap<String, Point> {
        &self.pois
    }
}
